org.apache.ignite.ml.regressions.logistic

## Class LogisticRegressionModel.LogisticRegressionJSONExportModel

- java.lang.Object
- - org.apache.ignite.ml.inference.json.JSONModel
  - - org.apache.ignite.ml.regressions.logistic.LogisticRegressionModel.LogisticRegressionJSONExportModel

- Enclosing class:
    LogisticRegressionModel

      public static class LogisticRegressionModel.LogisticRegressionJSONExportModel
      extends JSONModel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `intercept` Intercept of the linear regression model.
    `boolean` | `isKeepingRawLabels` Output label format. 0 and 1 for false value and raw sigmoid regression value otherwise.
    `double` | `threshold` Threshold to assign '1' label to the observation if raw value more than this threshold.
    `double[]` | `weights` Multiplier of the objects's vector required to make prediction.

    - ### Fields inherited from class org.apache.ignite.ml.inference.json.JSONModel

      `formatVersion, JSON_MODEL_FORMAT_VERSION, modelClass, timestamp, uid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogisticRegressionJSONExportModel()`
    `LogisticRegressionJSONExportModel(Long timestamp, String uid, String modelClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LogisticRegressionModel` | `convert()` Convert JSON string to IgniteModel object.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### weights

          public double[] weights

      Multiplier of the objects's vector required to make prediction.

    - #### intercept

          public double intercept

      Intercept of the linear regression model.

    - #### isKeepingRawLabels

          public boolean isKeepingRawLabels

      Output label format. 0 and 1 for false value and raw sigmoid regression value otherwise.

    - #### threshold

          public double threshold

      Threshold to assign '1' label to the observation if raw value more than this threshold.

  - ### Constructor Detail

    - #### LogisticRegressionJSONExportModel

          public LogisticRegressionJSONExportModel(Long timestamp,
                                                   String uid,
                                                   String modelClass)

    - #### LogisticRegressionJSONExportModel

          public LogisticRegressionJSONExportModel()

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### convert

          public LogisticRegressionModel convert()

      Convert JSON string to IgniteModel object.
      Specified by:
        `convert` in class `JSONModel`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022